@import "../../.././common/css/media";

.cmp-container--bigbanner {
    margin-bottom: 80px;

    .cmp-container {
        display: flex;
        justify-content: center;

        @include mobile {
            flex-wrap: wrap;
            text-align: center;
        }

        .cmp-teaser--bigbanner {
            .cmp-teaser {
                display: flex;
                flex-direction: column-reverse;
                justify-content: center;
                align-items: center;

                .cmp-teaser__content {

                    padding: 0px 32px 64px 32px;

                    .cmp-teaser__pretitle {
                        color: #000;
                        font-size: 33px;
                        font-weight: 300;
                        line-height: 48px;
                    }

                    .cmp-teaser__title {
                        padding: 12px 0px;
                        color: #909090;
                        font-size: 14px;
                        font-weight: 500;
                        line-height: 24px;
                    }

                    .cmp-teaser__action-container {
                        .cmp-teaser__action-link {
                            display: inline-block;
                            padding: 12px 56px;
                            border-radius: 6px;
                            border: 1px solid #000;
                            color: #000;
                            font-size: 16px;
                            font-weight: 500;
                            line-height: 24px;
                        }
                    }
                }

                .cmp-teaser__image {
                    .cmp-image {
                        img {
                            height: 334px;
                        }
                    }
                }
            }
        }

        .cmp-teaser--bigbanner__bckclrblack {
            background: #2C2C2C;

            .cmp-teaser {
                .cmp-teaser__content {
                    .cmp-teaser__pretitle {
                        color: #fff;
                    }

                    // .cmp-teaser__title {
                    //     color: #fff;
                    // }

                    .cmp-teaser__action-container {
                        .cmp-teaser__action-link {
                            border: 1px solid #fff;
                            color: #fff;
                        }
                    }

                }
            }
        }

        .cmp-teaser--bigbanner__clrgrey {
            background: #EAEAEA;
        }
    }
}